<script>
    import { Link } from '@inertiajs/inertia-vue3';

    export default {
        name: 'TaskTableRow',
        props: ['title', 'date', 'from', 'to', 'status', 'isHidden', 'dirct'],
        // const props = defineProps(['title', 'name']);
        components: {
            Link
        }
    }
</script>

<template>
    <tr className="bg-white border-b hover:bg-gray-200">
        <th scope="row" className="py-4 px-6 font-medium text-gray-900 whitespace-nowrap" :hidden="isHidden">
            <!-- {props.title} -->
            <!-- {{ $page.props.title }} -->
            {{ title }}
        </th>
        <th scope="row" className="py-4 px-6 font-medium text-gray-900 whitespace-nowrap">
            <!-- {props.title} -->
            <!-- {{ $page.props.title }} -->
            {{ date }}
        </th>
        <td className="py-4 px-6 text-center" :hidden="isHidden">
            <!-- {props.user} -->
            {{ dirct }}
        </td>
        <td className="py-4 px-6">
            <!-- {props.user} -->
            {{ from }}
        </td>
        <td className="py-4 px-6">
            <!-- {props.user} -->
            {{ to }}
        </td>
        <td className="py-4 px-6">
            <!-- {props.state} -->
            {{ status }}
        </td>
        <slot />
    </tr>
</template>
